#!/bin/sh
echo "Qxmp compilation :"
echo "----------------------------------------"
echo "Enter path to QT4 (/usr/lib/qt4 or ...):"
read QTDIR
PATH=$QTDIR/bin:$PATH
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
DYLD_LIBRARY_PATH=$QTDIR/lib:$DYLD_LIBRARY_PATH
export QTDIR PATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH
echo "Enter PREFIX (/usr , /usr/local or /opt) :"
read PREFIX
qmake -unix -spec linux-g++ PREFIX=$PREFIX qxmp.pro
make
make install
echo "Compilation and installation done"
echo "Icon and desktop file can be found in the $PREFIX/share/qxmp directory"
exit 0
