unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}

TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = qxmp
CONFIG	+= qt warn_on release
QT += xml
##############################################
unix:!macx {
isEmpty( PREFIX ) {
    PREFIX=/usr
}
target.path = $${PREFIX}/bin
INSTALLS = target
utilities.path = $${PREFIX}/share/qxmp
utilities.files = utilities/*
INSTALLS += utilities
HEADERS	= qxmp.h \
	configdialog.h \
	bookmarkdialog.h \
	playlistdialog.h \
	playlisturldialog.h \
	urldialog.h \
	aboutdialog.h \
	titlearea.h \
	playerbutton.h
SOURCES	= main.cpp \
	qxmp.cpp \
	configdialog.cpp \
	bookmarkdialog.cpp \
	playlistdialog.cpp \
	playlisturldialog.cpp \
	urldialog.cpp \
	aboutdialog.cpp \
	titlearea.cpp \
	playerbutton.cpp
RESOURCES     = qxmp.qrc
FORMS       = qxmp.ui \
	configdialog.ui \
	bookmarkdialog.ui \
	playlistdialog.ui \
	playlisturldialog.ui \
	urldialog.ui \
	aboutdialog.ui
}
