/***************************************************************************
 *   copyright       : (C) 2006 by Pascal Brachet                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BOOKMARKDIALOG_H
#define BOOKMARKDIALOG_H

#include "ui_bookmarkdialog.h"

class BookmarkDialog : public QDialog  {
   Q_OBJECT
public:
	BookmarkDialog(QWidget *parent=0);
	~BookmarkDialog();
	Ui::BookmarkDialog ui;

QStringList nameList, locationList;
QString movieToPlay, currentMovieLocation;

public slots:
void Init();

private slots:
void playSelectedMovie();
void addItem();
void deleteItem();
void upItem();
void downItem();
void addCurrentMovie();
void updateName();
void updateLocation();
void updateItemInfo();
int getItem();
};


#endif
