/***************************************************************************
 *   copyright       : (C) 2006 by Pascal Brachet                          *
 *                                                                         *
 *   inspired by the amarok code - (C) by Mark Kretschmann                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TITLEAREA_H
#define TITLEAREA_H

#include <QWidget>
#include <QString>
#include <QFont>
#include <QPixmap>
#include <QTimer>

class TitleArea : public QWidget
{
    Q_OBJECT

public:
    TitleArea(QWidget *parent = 0,QString f="");
QString current;
public slots:
void setTitle(QString t,QString f);
//inspired by the amarok code - (C) by Mark Kretschmann
void doScroll();
private:
QString title;
QFont titleFont;
QPixmap scrollTitlePixmap,scrollBuffer;
QTimer *titletimer;
protected:
    void paintEvent(QPaintEvent *event);
};

#endif
